Bad install of 2.3.4 on Solaris 8

Bob Swerdlow rswerdlow at transpose.com
Fri Jun 11 21:38:14 CEST 2004


I'm having trouble getting Python 2.3.4 installed properly on Solaris 8.

First some configuration stuff:
        bash-2.05# export
        . . .
        declare -x HOSTTYPE="sparc"
        declare -x MACHTYPE="sparc-sun-solaris2.8"
        declare -x OSTYPE="solaris2.8"

I copied Python-2.3.4.tgz to /var/tmp, ran gunzip and tar xvf then
ran./configure, make and make install from the Python-2.3.4 directory.

./configure report this error:
        configure: WARNING: term.h: present but cannot be compiled
        configure: WARNING: term.h: check for missing prerequisite headers?
        configure: WARNING: term.h: proceeding with the preprocessor's
result
        configure: WARNING:     ## ------------------------------------ ##
        configure: WARNING:     ## Report this to bug-autoconf at gnu.org. ##
        configure: WARNING:     ## ------------------------------------ ##

I went ahead anyway.  make report this warning
        gcc -shared
build/temp.solaris-2.8-sun4u-2.3/_ssl.o -L/usr/local/ssl/lib -L/usr/local/li
b -lssl -lcrypto -o build/lib.solaris-2.8-sun4u-2.3/_ssl.so
        *** WARNING: renaming "_ssl" since importing it failed: ld.so.1:
./python: fatal: libssl.so.0.9.7: open failed: No such file or directory

and a bunch of errors building sunaudiodev.o which I assume are not
important since I'm not having audio problems

Now, python runs and reports that it is 2.3.4, but:

   1. SSL doesn't work:
        bash-2.05# python
        Python 2.3.4 (#3, Jun 11 2004, 14:57:33)
        [GCC 3.3.2] on sunos5
        Type "help", "copyright", "credits" or "license" for more
information.
        >>> import xmlrpclib
        >>> s = xmlrpclib.ServerProxy('https://goombah.emergentmusic.com')
        >>> s.hello()
        Traceback (most recent call last):
          File "<stdin>", line 1, in ?
          File "/usr/local/lib/python2.3/xmlrpclib.py", line 1029, in
__call__
            return self.__send(self.__name, args)
          File "/usr/local/lib/python2.3/xmlrpclib.py", line 1316, in
__request
            verbose=self.__verbose
          File "/usr/local/lib/python2.3/xmlrpclib.py", line 1055, in
request
            h = self.make_connection(host)
          File "/usr/local/lib/python2.3/xmlrpclib.py", line 1237, in
make_connection
            raise NotImplementedError(
        NotImplementedError: your version of httplib doesn't support HTTPS

   2. A 32 bit version was installed rather than the 64-bit version that
should be installed for this machine.  This prevent the installation of
MySQLdb from installing properly
        bash-2.05# file /usr/local/bin/python
        /usr/local/bin/python:  ELF 32-bit MSB executable SPARC Version 1,
dynamically linked, not stripped

Can you please help me get a good build so I can get on with my work?

Thanks,
Bob






More information about the Python-list mailing list